<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Ruangan</title>
</head>
<body>
<div class="main-content" layout:fragment="main">
    <section class="section">
        <div class="section-header">
            <h1>Peminjaman Sapras</h1>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-md-12">
                    <div class="card">
<!--                        <div class="card-body">-->
<!--                            <div class="row">-->
<!--                                <div class="col-md-6">-->
<!--                                    <a th:href="@{/request/peminjamanSapras/listRuangan}" class="btn btn-primary btn-block">Peminjaman Ruangan</a>-->
<!--                                </div>-->
<!--                                <div class="col-md-6">-->
<!--                                    <a th:href="@{/request/peminjamanSapras/listKendaraan}" class="btn btn-secondary btn-block">Peminjaman Kendaraan</a>-->
<!--                                </div>-->
<!--&lt;!&ndash;                                <div class="col-md-4">&ndash;&gt;-->
<!--&lt;!&ndash;                                    <a th:href="@{/assetLoan/list}" class="btn btn-secondary btn-block">Peminjaman Barang</a>&ndash;&gt;-->
<!--&lt;!&ndash;                                </div>&ndash;&gt;-->
<!--                            </div>-->
<!--                        </div>-->
                        <div class="card-body">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="card">
                                        <div class="card-header">
                                            <h4>Data Peminjaman Ruangan</h4>
                                            <div class="card-header-action">
                                                <a th:href="@{/request/peminjamanSapras/ruangan(bulan = ${#dates.format(#dates.createNow(), 'MM')}, tahun = ${#dates.format(#dates.createNow(), 'YYYY')})}" class="btn btn-sm btn-info">Form Pengajuan Peminjaman Ruangan</a>
                                            </div>
                                        </div>
                                        <div class="card-body">
                                            <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${berhasil != null}">
                                                <strong>Save</strong> data successful...
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="alert alert-success alert-dismissible fade show" role="alert" th:if="${pembayaran != null}">
                                                <strong>Save</strong> data successful...
                                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <div class="table-responsive">
                                                <table class="table table-striped">
                                                    <thead>
                                                    <tr>
                                                        <th>#</th>
                                                        <th>Ruangan</th>
                                                        <th>Tanggal Peminjaman</th>
                                                        <th>Surat Lampiran</th>
                                                        <th>Status</th>
                                                        <th></th>
                                                    </tr>
                                                    </thead>
                                                    <tbody>
                                                    <tr th:each="dataRuangan, row:${ruangan}">
                                                        <td th:text="${(row.index + 1)}">#</td>
                                                        <td th:text="${dataRuangan.ruangan.namaRuangan}">#</td>
                                                        <td th:text="${dataRuangan.tanggalPeminjaman}"></td>
                                                        <td>
                                                            <button type="button" th:if="${dataRuangan.lampiran == null}" class="btn btn-dark btn-sm" data-toggle="modal" th:data-target="${'#upload' + dataRuangan.id}"><i class="fa fa-upload"></i> Upload</button>
                                                            <div class="modal fade" th:id="${'upload' + dataRuangan.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <form th:action="@{/request/peminjamanRuangan/uploadLampiran}" method="post" enctype="multipart/form-data">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="upload">Info</h5>
                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <div class="form-group">
                                                                                    <label>Surat Lampiran <span style="color: red; font-size: 10px;">* file berbentuk pdf atau jpg, jpeg</span></label>
                                                                                    <input type="file" name="image" class="form-control" required>
                                                                                    <input type="hidden" name="id" th:value="${dataRuangan.id}">
                                                                                </div>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                                <button type="submit" class="btn btn-primary">Save</button>
                                                                            </div>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>

                                                            <a th:if="${dataRuangan.lampiran != null}" th:href="@{/masters/pdf/{lampiran}/(lampiran = ${dataRuangan.id})}" class="btn btn-success btn-sm"><i class="fa fa-check-circle"></i> Sudah Upload</a>
                                                        </td>
                                                        <td>
                                                            <!-- Button trigger modal -->
                                                            <button type="button" th:if="${dataRuangan.statusPeminjaman == 'WAITING'}" class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#approvalRuangan' + dataRuangan.id}">
                                                                WAITING
                                                            </button>

                                                            <button type="button" th:if="${dataRuangan.statusPeminjaman == 'APPROVED'}" class="btn btn-success btn-sm" data-toggle="modal" th:data-target="${'#approvalRuangan' + dataRuangan.id}">
                                                                APPROVED
                                                            </button>

                                                            <!-- Modal -->
                                                            <div class="modal fade bd-example-modal-lg" th:id="${'approvalRuangan' + dataRuangan.id}" data-backdrop="false" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
                                                                <div class="modal-dialog modal-lg" role="document">
                                                                    <div class="modal-content">
                                                                        <div class="modal-header">
                                                                            <h5 class="modal-title" id="exampleModalLongTitle">List Approval</h5>
                                                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                <span aria-hidden="true">&times;</span>
                                                                            </button>
                                                                        </div>
                                                                        <div class="modal-body">
                                                                            <div class="table-responsive">
                                                                                <table class="table table-striped">
                                                                                    <thead>
                                                                                    <tr>
                                                                                        <th>#</th>
                                                                                        <th>Approval</th>
                                                                                        <th>Jabatan</th>
                                                                                        <th>Status</th>
                                                                                        <th>Tanggal Approval</th>
                                                                                    </tr>
                                                                                    </thead>
                                                                                    <tbody>
                                                                                    <tr th:each="dataApprovalRuangan, row:${listApprovalRuangan}">
                                                                                        <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${(row.index + 1)}"></td>
                                                                                        <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${dataApprovalRuangan[1]}"></td>
                                                                                        <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${dataApprovalRuangan[2]}"></td>
                                                                                        <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${dataApprovalRuangan[3]}"></td>
                                                                                        <td th:if="${dataRuangan.id == dataApprovalRuangan[0]}" th:text="${dataApprovalRuangan[4]}"></td>
                                                                                    </tr>
                                                                                    </tbody>
                                                                                </table>
                                                                            </div>
                                                                        </div>
                                                                        <div class="modal-footer">
                                                                            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </td>
                                                        <td>
                                                            <button type="button" class="btn btn-danger btn-sm" data-toggle="modal" th:data-target="${'#exampleModal' + dataRuangan.id}">
                                                                Cancel
                                                            </button>

                                                            <!-- Modal -->
                                                            <div class="modal fade" th:id="${'exampleModal' + dataRuangan.id}" tabindex="-1" data-backdrop="false" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                                                                <div class="modal-dialog" role="document">
                                                                    <form th:action="@{/request/peminjamanRuangan/cancel(peminjamanRuangan = ${dataRuangan.id})}" method="post">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h5 class="modal-title" id="exampleModalLabel">Info</h5>
                                                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                Do you want to delete this data ?
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
                                                                                <button type="submit" class="btn btn-primary">Yes</button>
                                                                            </div>
                                                                        </div>
                                                                    </form>
                                                                </div>
                                                            </div>
                                                        </td>
                                                    </tr>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                        <div class="card-footer">
                                            <div class="d-flex align-items-center justify-content-between text-muted border-top py-3 mt-3">
                                                <nav>
                                                    <ul class="pagination d-flex justify-content-center pagination-success" sd:pagination="full">
                                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-left"></i></a></li>
                                                        <li class="page-item active"><a class="page-link" href="#">1</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">2</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">3</a></li>
                                                        <li class="page-item"><a class="page-link" href="#">4</a></li>
                                                        <li class="page-item"><a class="page-link" href="#"><i class="mdi mdi-chevron-right"></i></a></li>
                                                    </ul>
                                                </nav>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
</div>
</body>
</html>